# Disconnect a platform

URL: https://docs.sparklayer.io/ignite/api/remove-platform-connection
Operation: `DELETE /v1/{siteEnv}/{siteId}` (operationId `removePlatformConnection`)
OpenAPI spec: https://docs.sparklayer.io/openapi/ignite.yaml

SparkLayer Ignite platform will call this endpoint when the merchant disconnects SparkLayer on the specific platform.

`DELETE /v1/{siteEnv}/{siteId}`

> This is an Ignite endpoint: your integration service implements it and SparkLayer calls it.

### Request SparkLayer sends

```http
DELETE /v1/live/bobs-store HTTP/1.1
Host: ignite.example.com
```

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `siteEnv` | string | Yes | The SparkLayer environment the request is for, such as `live`. Store it, with the site ID, when SparkLayer connects your platform. Example: `live` |
| `siteId` | string | Yes | The SparkLayer site ID the request is for, such as `bobs-store`. Store it, with the environment, when SparkLayer connects your platform. Length: min 1. Example: `bobs-store` |

### Responses your service returns

#### 204: Successful operation

#### 401: Auth Failure

#### 500: System Exception
